Множественные уязвимости в Zabbix

Дата публикации:
11.03.2009
Дата изменения:
11.03.2009
Всего просмотров:
2008
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ZABBIX 1.x
Уязвимые версии: Zabbix 1.6.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, получить доступ к важным данным и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов перед выполнением некоторых действий. Удаленный пользователь может произвести CSRF нападение.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "srclang" в сценарии locales.php, когда параметр "next" установлен в непустое значение. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "extlang" в функции "calc_exp2()" в сценарии include/validate.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: www.zabbix.org

Решение: Установите исправление из SVN репозитория производителя.

Ссылки: http://www.ush.it/team/ush/hack-zabbix_162/adv.txt

или введите имя

CAPTCHA